<script>
mostrarCargaImg = function(){ $('#s_ImagenLoad')[0].style.display = 'inline'; }
ocultarCargaImg = function(){ $('#s_ImagenLoad')[0].style.display = 'none'; }

mostrarMensajeError = function( s_MensajeError )
{
    $( "#resultContent" ).html( '<div id="mensaje_error_content" class="error">' + s_MensajeError + '</div>' );
    setTimeout( function(){ $( "#mensaje_error_content" ).fadeOut( 800 ).fadeIn( 800 ).fadeOut( 500 ).fadeIn( 500 ).fadeOut( 300 ); }, 4000 );
}
</script>
<script>
ejecutarGuardar = function()
{
	mostrarCargaImg();
	var strFormSerialize = $( 'form' ).serialize();
    executeAjaxJson
    ( 
        "<?php echo buildUrl( 'transf/saveAddEdit' ) ?>", 
        strFormSerialize,
        function( o_json )
        {
            console.log( o_json );
            ocultarCargaImg();
            if( o_json.error )
            {
                enabledButton( 'btn_submit' );
                mostrarMensajeError( o_json.mensaje_error );
                return false;
            }
            //window.open( '<?=buildUrl( 'transf/reporte', "i_Id=" )?>' + o_json.id );
            
            location.href = "<?=buildUrl( 'transf/list' )?>";
            enabledButton( 'btn_submit' );
        } 
    );
}
</script>

<table width="100%">
    <tr>
        <td width="100%" valign="top" >
            <fieldset class="formGen" style="margin-top:0px">
                <table border="0" cellspacing="6" cellpadding="0" style="margin-left: 20px;" width="100%">
                    <tr>
                        <td nowrap="nowrap" width="20%"><label class="label req" for="FechaDocumento" >Fecha</label></td>
                        <td nowrap="nowrap" width="15%">
                            <input type="text" class="text" name="FechaDocumento" id="FechaDocumento" size="14px" value="<?=date( "Y-m-d" )?>" style="text-align:center;" readonly /> 
                            <script type="text/javascript">
                            //$( "#FechaDocumento" ).datepicker( { dateFormat: "yy-mm-dd", changeYear:true, yearRange: "-100:+0", changeMonth: true, onClose: function (){ this.focus(); } } );
                            </script>                                                                                
                        </td>
                        <td nowrap="nowrap" width="10%">&nbsp;</td>
                        <td nowrap="nowrap" width="20%"><label class="label req" for="IdUnidadProduccion" >&nbsp;</label></td>
                        <td nowrap="nowrap" width="20%">&nbsp;</td>
                        <td nowrap="nowrap" width="10%">&nbsp;</td>
                    </tr>
	                <tr>
	                    <td nowrap="nowrap"><label class="label req" for="">Documento a Generar</label></td>
	                    <td nowrap="nowrap">
	                        <?php $i = 1 ?>
                            <?php foreach ( $a_TipoTransaccion as $s_Key => $s_Valor ){ ?>
                                <?php if( $s_Key == ALM_TransaccionCabeceraBN::TIPO_TRANSFERENCIA ){ ?>
                                    <input type="radio" name="IdTransaccionOperacion" 
                                                        id="<?=strtolower( $s_Valor )?>" 
                                                        value="<?=$s_Key?>" checked
                                                        />
                                    <label class="label req" for="<?=strtolower( $s_Valor )?>"><?=$s_Valor?></label>
                            <?php $i++ ?>
                                <?php } ?>
                            <?php } ?>
	                    </td>
	                    <td nowrap="nowrap" >&nbsp;</td>
	                    <td nowrap="nowrap"><label class="label req" for="IdAlmacen" >Almacen Origen</label></td>
	                    <td nowrap="nowrap">
                            
                            <select class="combo required" id="IdSucursalOrigen" name="IdSucursalOrigen" onchange="cargarTodoAlmacenOrigen();" style="width: 150px;">
                                <option value=""> - Sucursal - </option>
                                <?php foreach ( GSS_SucursalFN::selectActivos() as $o_GSS_SucursalBN ){ ?>
                                <option value="<?=$o_GSS_SucursalBN->getIdSucursal()?>"  > <?=$o_GSS_SucursalBN->getDescripcion()?> </option>
                                <?php } ?>
                            </select>
                            
                            <select class="combo required" id="IdAlmacen" name="IdAlmacen" style="width: 150px;">
                                <option value=""> - Seleccione - </option>
                            </select>
                            
                            <script type="text/javascript">
                            cargarVehiculo = function( o_json )
                            {
                                limpiarDetalle();
                            	$( '#IdVehiculoSucursal' )[0].options.length = 0;
                                console.log( o_json );
                                updateElementOption( "IdVehiculoSucursal", o_json );
                            }
                            cargarTodoAlmacenOrigen = function()
                            {
                            	executeAjaxJson
                            	(
                            	    '<?php echo buildUrl( 'transf/request' ) ?>', 
                            	    'TipoProc=cargarAlmacenOrigen&IdSucursalOrigen=' + $( "#IdSucursalOrigen" ).val(), 
                            	    function( o_json )
                            	    {
                            	    	$( '#IdAlmacen' )[0].options.length = 1;
                            	        console.log( o_json );
                            	        updateElementOption( "IdAlmacen", o_json );
                            	        $( '#IdAlmacen option:eq(1)' ).prop( 'selected', true );
                            	    }
                            	);
                            }
                            cargarTodoAlmacenDestino = function()
                            {
                                executeAjaxJson
                            	(
                            	    '<?php echo buildUrl( 'transf/request' ) ?>', 
                            	    'TipoProc=cargarAlmacenDestino&IdSucursalDestino=' + $( '#IdSucursalDestino' ).val(),  
                            	    function( o_json )
                            	    {
                            	    	$( '#AlmacenTraslado' )[0].options.length = 1;
                            	        console.log( o_json );
                            	        updateElementOption( "AlmacenTraslado", o_json );
                            	        $( '#AlmacenTraslado option:eq(1)' ).prop( 'selected', true );
                            	    }
                            	);
                            }
                            validacionPorTransaccion = function()
                            {
                            	$( "#IdOrdenProd" ).val( "" );
                                if( $( "#IdTransaccion" ).val() == "TRP" )
                                {
                                    $( "#btnAgregarPrd" ).show();
                                    $( "#IdSucursalDestino" ).val( "3" );
                                    cargarTodoAlmacenDestino();
                                    setTimeout
                                    (
                                        function()
                                        {
                                            $( "#AlmacenTraslado" ).val( "A1303" );
                                        },
                                        500
                                    );
                                }
                                else
                                {
                                    $( "#btnAgregarPrd" ).hide();
                                }
                            }
                            </script>
                        </td>
                        <td nowrap="nowrap">&nbsp;</td>
	                </tr>
	                <tr>
	                    <td nowrap="nowrap"><label class="label req" for="IdTransaccion" >Tipo Transacci&oacute;n</label></td>
	                    <td nowrap="nowrap">
                            <input type="hidden" name="IdOrdenProd" id="IdOrdenProd" value="">
                            <select style="width: 150px;" name="IdTransaccion" id="IdTransaccion" class="combo" onchange="validacionPorTransaccion();">
                                <option value="TRA" selected="selected"> TRANSFERENCIA ENTRE ALMACENES </option>
                                <option value="TRP"> TRANSFERENCIA A PRODUCCION </option>
                            </select>
	                    </td>
	                    <td nowrap="nowrap" >&nbsp;</td>
	                    <td nowrap="nowrap">
                            <label class="label req" for="AlmacenTraslado" id="lblAlmacenDestino">Almacen Destino</label>
                        </td>
	                    <td nowrap="nowrap">
	                        <div id="dvAlmacenDestino">
                                <select class="combo required" id="IdSucursalDestino" name="IdSucursalDestino" onchange="cargarTodoAlmacenDestino();" style="width: 150px;">
                                    <option value=""> - Sucursal - </option>
                                    <?php foreach ( GSS_SucursalFN::selectActivos() as $o_GSS_SucursalBN ){ ?>
                                    <option value="<?=$o_GSS_SucursalBN->getIdSucursal()?>"> <?=$o_GSS_SucursalBN->getDescripcion()?> </option>
                                    <?php } ?>
                                </select>
                                <select class="combo required" id="AlmacenTraslado" name="AlmacenTraslado" style="width: 150px;" >
                                    <option value=""> - Seleccione - </option>
                                </select>
                            </div>
                        </td>
                        <td nowrap="nowrap" >&nbsp;</td>
	                </tr>
	                <tr>
	                    <td nowrap="nowrap"><label class="label req" for="" >Motivo de Traslado</label></td>
	                    <td nowrap="nowrap">
	                        <select style="width: 150px;" name="" id="" class="combo">
                                <option> TRASLADO ENTRE ESTABLECIMIENTOS DE LA MISMA EMPRESA </option>
                            </select>
	                    </td>
	                    <td nowrap="nowrap" >&nbsp;</td>
	                    <td nowrap="nowrap"><label class="label req" for="ReferenciaTipoDocumento" >Tipo Referencia</label></td>
	                    <td  colspan="2">
                            <div>
                                <input type="checkbox" name="ImprimirGuia" id="ImprimirGuia" value="SI" onclick="activarGuia();">
                                <label class="label req" for="ImprimirGuia"> ACTIVAR GUIA </label> 
                            </div>
                            &nbsp;
                            <select class="combo required" id="ReferenciaTipoDocumento" name="ReferenciaTipoDocumento" onchange="recuperarInfoVentaSerie();" style="width:59%" disabled>
                                <!-- <option value=""> - Seleccione - </option> -->
                                <?php foreach ( $a_VTA_TipoDocumento as $i_Key => $o_VTA_TipoDocumentoBN ){ ?>
                                <option value="<?=$o_VTA_TipoDocumentoBN->getIdTipoDocumento()?>"> <?=( $o_VTA_TipoDocumentoBN->getDescripcionLocal() )?> </option>
                                <?php } ?>
                            </select>
                            &nbsp;
                            <div style="" >
                                <div id="DivReferenciaSerie" style="margin-top: 5px; display: inline-block;"> 
                                    <label class="label req" >Serie</label>
                                    <input type="text" class="text" size="10" name="ReferenciaSerieDocumento" id="ReferenciaSerieDocumento" style="text-align:center;" readonly disabled>
                                </div>
                                <div style="display: inline-block; margin-top: 5px;">
                                    <label class="label req" >N&uacute;mero</label>
                                    <input type="text" class="text" id="ReferenciaNumeroDocumento" name="ReferenciaNumeroDocumento" value="" style="text-align:center;" size="20" disabled/>
                                </div>
                            </div>
                        </td>
                        
	                </tr>
                    
	                <tr>
	                    <td nowrap="nowrap"><label class="label req" for="IdChofer" >Chofer</label></td>
	                    <td nowrap="nowrap">
                            <select style="width: 150px;" name="IdChofer" id="IdChofer" class="combo">
                                <option value=""> - Seleccione - </option>
                                <?php foreach ( TR_ChoferFN::selectActivos() as $o_TR_ChoferBN ){ ?>
                                <option value="<?=$o_TR_ChoferBN->getIdChofer()?>"> <?=$o_TR_ChoferBN->getChoferNombre()?> <?=$o_TR_ChoferBN->getChoferLicencia()?> </option>
                                <?php } ?>
                            </select>
                        </td>
	                    <td nowrap="nowrap" >&nbsp;</td>
	                    <td nowrap="nowrap"><label class="label req" for="IdVehiculo" >Vehiculo</label></td>
	                    <td nowrap="nowrap">
                            <select style="width: 150px;" name="IdVehiculo" id="IdVehiculo" class="combo">
                                <option value=""> - Seleccione - </option>
                                <?php foreach ( TR_VehiculoFN::selectActivos() as $o_TR_VehiculoBN ){ ?>
                                <option value="<?=$o_TR_VehiculoBN->getIdVehiculo()?>"> <?=$o_TR_VehiculoBN->getVehiculoMarca()?> <?=$o_TR_VehiculoBN->getVehiculoMdelo()?> <?=$o_TR_VehiculoBN->getVehiculoPlaca()?> </option>
                                <?php } ?>
                            </select>
                        </td>
                        <td nowrap="nowrap" >&nbsp;</td>
	                </tr>
	                
                    <tr>
                         <td nowrap="nowrap"><label class="label req" for="Comentario" >Comentario</label></td>
                         <td nowrap="nowrap" ><textarea class=""  name="Comentario" id="Comentario" style="width:99%" rows="2"></textarea></td>
                         <td nowrap="nowrap">&nbsp;</td>
                         
                         <td nowrap="nowrap">&nbsp;</td>
                         <td nowrap="nowrap">&nbsp;</td>
                         
                         <td nowrap="nowrap" >&nbsp;</td>
                    </tr>
                </table>
            </fieldset>
        </td>
    </tr>
</table>

<input type="hidden" name="IdCompania" id="IdCompania" value="<?=myUser::getUser()->getIdBusiness()?>">

<script>
activarGuia = function()
{
    if( $('#ImprimirGuia').is(':checked') )
    {
    	$( "#ReferenciaTipoDocumento" ).prop( "disabled", false );
    	$( "#ReferenciaSerieDocumento" ).prop( "disabled", false );
    	$( "#ReferenciaNumeroDocumento" ).prop( "disabled", false );

    	$( "#ReferenciaTipoDocumento" ).change();
    }
    else
    {
    	$( "#ReferenciaSerieDocumento" ).val( "" );
    	$( "#ReferenciaNumeroDocumento" ).val( "" );
        
    	$( "#ReferenciaTipoDocumento" ).prop( "disabled", true );
    	$( "#ReferenciaSerieDocumento" ).prop( "disabled", true );
    	$( "#ReferenciaNumeroDocumento" ).prop( "disabled", true );
    }
}

recuperarInfoVentaSerie = function()
{
	var value = $( "#ReferenciaTipoDocumento" ).val();
	
	$( "#ReferenciaSerieDocumento" ).val( "" );
	$( "#ReferenciaNumeroDocumento" ).val( "" );
	
	executeAjaxJson
	(
	    '<?php echo buildUrl( 'transf/request' ) ?>', 
	    'TipoProc=getSerieNumero&IdTipoDocumento=' + value, 
	    function( o_json )
	    {
	        console.log( o_json );
	        if( o_json.error )
            {
                mostrarMensajeError( o_json.mensaje_error );
                return false;
            }
	        if( o_json.result )
	        {
	            //$( "#DivReferenciaSerie" ).css( 'display', 'inline-block' );
	            
		        $( "#ReferenciaSerieDocumento" ).val( o_json.Serie );
		        $( "#ReferenciaNumeroDocumento" ).val( o_json.Numero );

		        //$( "#ReferenciaNumeroDocumento" ).prop( "readonly", true );
	        }
	    }
	);
}
//$( "#ReferenciaTipoDocumento" ).change();
</script>

<script>
cargarListaTransaccion = function()
{
    $('#IdTransaccion')[0].options.length = 1;
    $('#IdTipoDocumento').val( '' );
    $('#IdTipoDocumentoValor').html( '&nbsp;' );
    publicForSelectAjaxJSON( '<?php echo buildUrl( 'transacciones/request' ) ?>', $( 'form' ).serialize() + '&TipoProc=IdTransaccion', 'IdTransaccion', function(){  } );
}

mostarOcultarAlmacen = function()
{
    if ( $( '#transferencia' ).is( ':checked' ) ) 
    {
        $( "#lblAlmacenDestino" ).show();
        $( "#dvAlmacenDestino" ).show();
    }
    else
    {
        $( "#lblAlmacenDestino" ).hide();
        $( "#dvAlmacenDestino" ).hide();
    }
}
//$( '#transferencia' ).click();
</script>

<script>
validacionExtra = function()
{
    var b_Control = true;
    if( $( "#IdAlmacen" ).val() == $( "#AlmacenTraslado" ).val() )
    {
        alert( "Los Almacenes de Origen y Destino tienen que ser diferentes" );
        $( "#General_2" ).trigger( "click" );
        b_Control = false;
        return b_Control;
    }

    if( $( "#AlmacenTraslado" ).val() == "" )
    {
        alert( "Debe de seleccionar el Almacen de Destino." );
        $( "#General_2" ).trigger( "click" );
        return false;
    }

    b_Control = validacionDetalles();

    console.log( b_Control );
    return b_Control;
}

$.validator.setDefaults
(
    {
        submitHandler: function( form ) 
        {
            x = confirm( "Esta seguro de guardar el formulario?" );
            if( !x )
            {
                return false;
            }
            if( validacionExtra() )
            {
                disabledButton( 'btn_submit' );
                ejecutarGuardar();
            }
            else
            {
                enabledButton( 'btn_submit' );
            }
        },
        invalidHandler: function() 
        {
            enabledButton( 'btn_submit' );
        }
    }
);
$( "#form1" ).validate();
//$( "#TodoAlmacen" ).trigger( "click" );
//$( "#ReferenciaTipoDocumento" ).trigger( "click" );
//ejecutarProcesoCarga( $( '#TodoAlmacen' )[0].checked );
</script>